IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/24
Addresses2^104
/64 networks2^40
- Network
2002:e100::/24- First address
2002:e100::- Last address
2002:e1ff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 20,282,409,603,651,670,423,947,251,286,016 (2^104)
- /64 networks (LANs)
- 1,099,511,627,776 (2^40)
- Full form
2002:e100:0000:0000:0000:0000:0000:0000- Type
- 6to4 2002::/16
IPv6 tunnelled over IPv4 (largely retired) - Reverse DNS zone
1.e.2.0.0.2.ip6.arpa
Split into smaller subnets
2002:e100::/24 makes 256 subnets of /32.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2002:e100::/32 | 2002:e100:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | 2002:e101::/32 | 2002:e101:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | 2002:e102::/32 | 2002:e102:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | 2002:e103::/32 | 2002:e103:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | 2002:e104::/32 | 2002:e104:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | 2002:e105::/32 | 2002:e105:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | 2002:e106::/32 | 2002:e106:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | 2002:e107::/32 | 2002:e107:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | 2002:e108::/32 | 2002:e108:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | 2002:e109::/32 | 2002:e109:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | 2002:e10a::/32 | 2002:e10a:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | 2002:e10b::/32 | 2002:e10b:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | 2002:e10c::/32 | 2002:e10c:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | 2002:e10d::/32 | 2002:e10d:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | 2002:e10e::/32 | 2002:e10e:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | 2002:e10f::/32 | 2002:e10f:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | 2002:e110::/32 | 2002:e110:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | 2002:e111::/32 | 2002:e111:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | 2002:e112::/32 | 2002:e112:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | 2002:e113::/32 | 2002:e113:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | 2002:e114::/32 | 2002:e114:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | 2002:e115::/32 | 2002:e115:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | 2002:e116::/32 | 2002:e116:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | 2002:e117::/32 | 2002:e117:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | 2002:e118::/32 | 2002:e118:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | 2002:e119::/32 | 2002:e119:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | 2002:e11a::/32 | 2002:e11a:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | 2002:e11b::/32 | 2002:e11b:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | 2002:e11c::/32 | 2002:e11c:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | 2002:e11d::/32 | 2002:e11d:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | 2002:e11e::/32 | 2002:e11e:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | 2002:e11f::/32 | 2002:e11f:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | 2002:e120::/32 | 2002:e120:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | 2002:e121::/32 | 2002:e121:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | 2002:e122::/32 | 2002:e122:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | 2002:e123::/32 | 2002:e123:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | 2002:e124::/32 | 2002:e124:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | 2002:e125::/32 | 2002:e125:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | 2002:e126::/32 | 2002:e126:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | 2002:e127::/32 | 2002:e127:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | 2002:e128::/32 | 2002:e128:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | 2002:e129::/32 | 2002:e129:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | 2002:e12a::/32 | 2002:e12a:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | 2002:e12b::/32 | 2002:e12b:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | 2002:e12c::/32 | 2002:e12c:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | 2002:e12d::/32 | 2002:e12d:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | 2002:e12e::/32 | 2002:e12e:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | 2002:e12f::/32 | 2002:e12f:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | 2002:e130::/32 | 2002:e130:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | 2002:e131::/32 | 2002:e131:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | 2002:e132::/32 | 2002:e132:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | 2002:e133::/32 | 2002:e133:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | 2002:e134::/32 | 2002:e134:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | 2002:e135::/32 | 2002:e135:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | 2002:e136::/32 | 2002:e136:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | 2002:e137::/32 | 2002:e137:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | 2002:e138::/32 | 2002:e138:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | 2002:e139::/32 | 2002:e139:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | 2002:e13a::/32 | 2002:e13a:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | 2002:e13b::/32 | 2002:e13b:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | 2002:e13c::/32 | 2002:e13c:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | 2002:e13d::/32 | 2002:e13d:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | 2002:e13e::/32 | 2002:e13e:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | 2002:e13f::/32 | 2002:e13f:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | 2002:e140::/32 | 2002:e140:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | 2002:e141::/32 | 2002:e141:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | 2002:e142::/32 | 2002:e142:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | 2002:e143::/32 | 2002:e143:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | 2002:e144::/32 | 2002:e144:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | 2002:e145::/32 | 2002:e145:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | 2002:e146::/32 | 2002:e146:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | 2002:e147::/32 | 2002:e147:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | 2002:e148::/32 | 2002:e148:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | 2002:e149::/32 | 2002:e149:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | 2002:e14a::/32 | 2002:e14a:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | 2002:e14b::/32 | 2002:e14b:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | 2002:e14c::/32 | 2002:e14c:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | 2002:e14d::/32 | 2002:e14d:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | 2002:e14e::/32 | 2002:e14e:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | 2002:e14f::/32 | 2002:e14f:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | 2002:e150::/32 | 2002:e150:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | 2002:e151::/32 | 2002:e151:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | 2002:e152::/32 | 2002:e152:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | 2002:e153::/32 | 2002:e153:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | 2002:e154::/32 | 2002:e154:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | 2002:e155::/32 | 2002:e155:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | 2002:e156::/32 | 2002:e156:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | 2002:e157::/32 | 2002:e157:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | 2002:e158::/32 | 2002:e158:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | 2002:e159::/32 | 2002:e159:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | 2002:e15a::/32 | 2002:e15a:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | 2002:e15b::/32 | 2002:e15b:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | 2002:e15c::/32 | 2002:e15c:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | 2002:e15d::/32 | 2002:e15d:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | 2002:e15e::/32 | 2002:e15e:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | 2002:e15f::/32 | 2002:e15f:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | 2002:e160::/32 | 2002:e160:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | 2002:e161::/32 | 2002:e161:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | 2002:e162::/32 | 2002:e162:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | 2002:e163::/32 | 2002:e163:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | 2002:e164::/32 | 2002:e164:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | 2002:e165::/32 | 2002:e165:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | 2002:e166::/32 | 2002:e166:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | 2002:e167::/32 | 2002:e167:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | 2002:e168::/32 | 2002:e168:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | 2002:e169::/32 | 2002:e169:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | 2002:e16a::/32 | 2002:e16a:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | 2002:e16b::/32 | 2002:e16b:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | 2002:e16c::/32 | 2002:e16c:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | 2002:e16d::/32 | 2002:e16d:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | 2002:e16e::/32 | 2002:e16e:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | 2002:e16f::/32 | 2002:e16f:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | 2002:e170::/32 | 2002:e170:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | 2002:e171::/32 | 2002:e171:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | 2002:e172::/32 | 2002:e172:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | 2002:e173::/32 | 2002:e173:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | 2002:e174::/32 | 2002:e174:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | 2002:e175::/32 | 2002:e175:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | 2002:e176::/32 | 2002:e176:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | 2002:e177::/32 | 2002:e177:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | 2002:e178::/32 | 2002:e178:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | 2002:e179::/32 | 2002:e179:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | 2002:e17a::/32 | 2002:e17a:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | 2002:e17b::/32 | 2002:e17b:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | 2002:e17c::/32 | 2002:e17c:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | 2002:e17d::/32 | 2002:e17d:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | 2002:e17e::/32 | 2002:e17e:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | 2002:e17f::/32 | 2002:e17f:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | 2002:e180::/32 | 2002:e180:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | 2002:e181::/32 | 2002:e181:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | 2002:e182::/32 | 2002:e182:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | 2002:e183::/32 | 2002:e183:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | 2002:e184::/32 | 2002:e184:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | 2002:e185::/32 | 2002:e185:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | 2002:e186::/32 | 2002:e186:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | 2002:e187::/32 | 2002:e187:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | 2002:e188::/32 | 2002:e188:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | 2002:e189::/32 | 2002:e189:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | 2002:e18a::/32 | 2002:e18a:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | 2002:e18b::/32 | 2002:e18b:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | 2002:e18c::/32 | 2002:e18c:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | 2002:e18d::/32 | 2002:e18d:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | 2002:e18e::/32 | 2002:e18e:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | 2002:e18f::/32 | 2002:e18f:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | 2002:e190::/32 | 2002:e190:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | 2002:e191::/32 | 2002:e191:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | 2002:e192::/32 | 2002:e192:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | 2002:e193::/32 | 2002:e193:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | 2002:e194::/32 | 2002:e194:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | 2002:e195::/32 | 2002:e195:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | 2002:e196::/32 | 2002:e196:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | 2002:e197::/32 | 2002:e197:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | 2002:e198::/32 | 2002:e198:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | 2002:e199::/32 | 2002:e199:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | 2002:e19a::/32 | 2002:e19a:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | 2002:e19b::/32 | 2002:e19b:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | 2002:e19c::/32 | 2002:e19c:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | 2002:e19d::/32 | 2002:e19d:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | 2002:e19e::/32 | 2002:e19e:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | 2002:e19f::/32 | 2002:e19f:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | 2002:e1a0::/32 | 2002:e1a0:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | 2002:e1a1::/32 | 2002:e1a1:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | 2002:e1a2::/32 | 2002:e1a2:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | 2002:e1a3::/32 | 2002:e1a3:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | 2002:e1a4::/32 | 2002:e1a4:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | 2002:e1a5::/32 | 2002:e1a5:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | 2002:e1a6::/32 | 2002:e1a6:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | 2002:e1a7::/32 | 2002:e1a7:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | 2002:e1a8::/32 | 2002:e1a8:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | 2002:e1a9::/32 | 2002:e1a9:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | 2002:e1aa::/32 | 2002:e1aa:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | 2002:e1ab::/32 | 2002:e1ab:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | 2002:e1ac::/32 | 2002:e1ac:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | 2002:e1ad::/32 | 2002:e1ad:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | 2002:e1ae::/32 | 2002:e1ae:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | 2002:e1af::/32 | 2002:e1af:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | 2002:e1b0::/32 | 2002:e1b0:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | 2002:e1b1::/32 | 2002:e1b1:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | 2002:e1b2::/32 | 2002:e1b2:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | 2002:e1b3::/32 | 2002:e1b3:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | 2002:e1b4::/32 | 2002:e1b4:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | 2002:e1b5::/32 | 2002:e1b5:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | 2002:e1b6::/32 | 2002:e1b6:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | 2002:e1b7::/32 | 2002:e1b7:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | 2002:e1b8::/32 | 2002:e1b8:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | 2002:e1b9::/32 | 2002:e1b9:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | 2002:e1ba::/32 | 2002:e1ba:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | 2002:e1bb::/32 | 2002:e1bb:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | 2002:e1bc::/32 | 2002:e1bc:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | 2002:e1bd::/32 | 2002:e1bd:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | 2002:e1be::/32 | 2002:e1be:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | 2002:e1bf::/32 | 2002:e1bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | 2002:e1c0::/32 | 2002:e1c0:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | 2002:e1c1::/32 | 2002:e1c1:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | 2002:e1c2::/32 | 2002:e1c2:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | 2002:e1c3::/32 | 2002:e1c3:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | 2002:e1c4::/32 | 2002:e1c4:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | 2002:e1c5::/32 | 2002:e1c5:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | 2002:e1c6::/32 | 2002:e1c6:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | 2002:e1c7::/32 | 2002:e1c7:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | 2002:e1c8::/32 | 2002:e1c8:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | 2002:e1c9::/32 | 2002:e1c9:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | 2002:e1ca::/32 | 2002:e1ca:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | 2002:e1cb::/32 | 2002:e1cb:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | 2002:e1cc::/32 | 2002:e1cc:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | 2002:e1cd::/32 | 2002:e1cd:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | 2002:e1ce::/32 | 2002:e1ce:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | 2002:e1cf::/32 | 2002:e1cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | 2002:e1d0::/32 | 2002:e1d0:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | 2002:e1d1::/32 | 2002:e1d1:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | 2002:e1d2::/32 | 2002:e1d2:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | 2002:e1d3::/32 | 2002:e1d3:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | 2002:e1d4::/32 | 2002:e1d4:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | 2002:e1d5::/32 | 2002:e1d5:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | 2002:e1d6::/32 | 2002:e1d6:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | 2002:e1d7::/32 | 2002:e1d7:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | 2002:e1d8::/32 | 2002:e1d8:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | 2002:e1d9::/32 | 2002:e1d9:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | 2002:e1da::/32 | 2002:e1da:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | 2002:e1db::/32 | 2002:e1db:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | 2002:e1dc::/32 | 2002:e1dc:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | 2002:e1dd::/32 | 2002:e1dd:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | 2002:e1de::/32 | 2002:e1de:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | 2002:e1df::/32 | 2002:e1df:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | 2002:e1e0::/32 | 2002:e1e0:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | 2002:e1e1::/32 | 2002:e1e1:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | 2002:e1e2::/32 | 2002:e1e2:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | 2002:e1e3::/32 | 2002:e1e3:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | 2002:e1e4::/32 | 2002:e1e4:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | 2002:e1e5::/32 | 2002:e1e5:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | 2002:e1e6::/32 | 2002:e1e6:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | 2002:e1e7::/32 | 2002:e1e7:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | 2002:e1e8::/32 | 2002:e1e8:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | 2002:e1e9::/32 | 2002:e1e9:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | 2002:e1ea::/32 | 2002:e1ea:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | 2002:e1eb::/32 | 2002:e1eb:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | 2002:e1ec::/32 | 2002:e1ec:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | 2002:e1ed::/32 | 2002:e1ed:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | 2002:e1ee::/32 | 2002:e1ee:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | 2002:e1ef::/32 | 2002:e1ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | 2002:e1f0::/32 | 2002:e1f0:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | 2002:e1f1::/32 | 2002:e1f1:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | 2002:e1f2::/32 | 2002:e1f2:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | 2002:e1f3::/32 | 2002:e1f3:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | 2002:e1f4::/32 | 2002:e1f4:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | 2002:e1f5::/32 | 2002:e1f5:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | 2002:e1f6::/32 | 2002:e1f6:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | 2002:e1f7::/32 | 2002:e1f7:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | 2002:e1f8::/32 | 2002:e1f8:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | 2002:e1f9::/32 | 2002:e1f9:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | 2002:e1fa::/32 | 2002:e1fa:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | 2002:e1fb::/32 | 2002:e1fb:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | 2002:e1fc::/32 | 2002:e1fc:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | 2002:e1fd::/32 | 2002:e1fd:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | 2002:e1fe::/32 | 2002:e1fe:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | 2002:e1ff::/32 | 2002:e1ff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |